#ifndef DISPATCH_LOOP_UC
#define DISPATCH_LOOP_UC


/*******************************************************************************
                             Intel Proprietary

 Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
 No part of this program or publication may be reproduced, transmited,
 transcribed, stored in a retrieval system, or translated into any language
 or computer language in any form or by any means, electronic, mechanical,
 magnetic, optical, chemical, manual, or otherwise, without the prior
 written permission of:
                         Intel Corporation
                         2200 Mission College Blvd.
                         Santa Clara, CA  95052-8119
*******************************************************************************/

// FILE  egress_dl_dispatch_loop.uc
//


#include <dl_meta.uc>
#include <dl_buf.uc>
#include <pkthdr_cache.uc>

#include "dl_csix_rx_sink.uc"
#include "dl_source.uc"

//------------------------------------------------------------------------------
// Global dispatch loop variables

// scratch ring number for pos rx ==>ipv4. This can be made an absolut register
.reg 	global	dl_ring

// The current Buffer handle.
.reg 	global	dl_buf_handle

// For large packets, this is the last buffer in the chain
.reg	global	dl_eop_buf_handle

// Next block that should process the buffer/packet
.reg	global	dl_next_block


#endif	// __DISPATCH_LOOP_UC__
