////////////////////////////////////////////////////////////////////////////////
//
//                  I N T E L   P R O P R I E T A R Y
//
//     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS
//     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY
//     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A
//     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER
//     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,
//     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT
//     THE PRIOR WRITTEN PERMISSION OF :
//
//                        INTEL  CORPORATION
//
//                     2200 MISSION COLLEGE BLVD
//
//               SANTA  CLARA,  CALIFORNIA  95052-8119
//
////////////////////////////////////////////////////////////////////////////////
//
//
//      File Name: common_tx.uc
//
//      Purpose: This microblock used in oc12 application combines and
//				 multiplex two independent transmit pipes:
//                > mphy16_tx
//                > aal5_tx
//
//      History:
//
//
//      Date            Comment                         		By
//      -----------------------------------------------------------------------
//
//      12/02/2002      Created									Czarek Wierucki
//
//
///////////////////////////////////////////////////////////////////////////////


#ifndef	__COMMON_TX_UC__
#define	__COMMON_TX_UC__
main#:
.begin
.reg counter

	alu[counter, --, B, 0]

	.while (1)

		alu[counter, counter, +, 1]
		nop
		nop
	.endw

.end
#endif  //__COMMON_TX_UC__
/*******************************  FILE HISTORY  *******************************
 * \main\1 Wed Aug 13 14:03:07 2003 adziecia
 * IGK0100025024: ATM-IPV4-ETH: simulation project check-in
 *
 * \main\1 Mon Jan  6 10:51:32 2003 cwierucx
 * Initial checkin for Lime Point OC12 DSLAM ETH
 *
 *****************************************************************************/
