# ============================================================================
#  INTEL CONFIDENTIAL
#
#  Copyright 2003 Intel Corporation All Rights Reserved.
#
#  The source code contained or described herein and all documents related to
#  the source code ("Material") are owned by Intel Corporation or its 
#  suppliers or licensors.
#
#  Title to the Material remains with Intel Corporation or its suppliers and
#  licensors. The Material contains trade secrets and proprietary and
#  confidential information of Intel or its suppliers and licensors.
#  The Material is protected by worldwide copyright and trade secret laws and
#  treaty provisions. No part of the Material may be used, copied, reproduced,
#  modified, published, uploaded, posted, transmitted, distributed,
#  or disclosed in any way without Intel's prior express written permission.
#
#  No license under any patent, copyright, trade secret or other intellectual
#  property right is granted to or conferred upon you by disclosure
#  or delivery of the Materials, either expressly, by implication, inducement,
#  estoppel or otherwise. Any license under such intellectual property rights
#  must be express and approved by Intel in writing.
#
# ============================================================================
# = PRODUCT
#      Intel(r) IXA SDK for the IXP2X00 Network Processor
#
# = FILENAME
#      make_linux_kernel_devices.sh
#
# = DESCRIPTION
#      This file contains scripts to initialize the oc12_pos_gbeth_2401
#      application on an IXPD2401 platform.
#
# = CHANGE HISTORY
#      02/26/2003      Created
# ============================================================================
#
rm -f /dev/L2Config
rm -f /dev/RConfig
rm -f /dev/SaUtil
rm -f /dev/gbe
rm -f /dev/MeDrv0

mknod /dev/L2Config c 252 0
mknod /dev/RConfig c 253 0
mknod /dev/SaUtil c 254 0
mknod /dev/gbe c 253 1
mknod /dev/MeDrv0 c 10 244

