/*******************************************************************************
  INTEL CONFIDENTIAL

  Copyright 2003 Intel Corporation All Rights Reserved.

  The source code contained or described herein and all documents related to
  the source code ("Material") are owned by Intel Corporation or its 
  suppliers or licensors.

  Title to the Material remains with Intel Corporation or its suppliers and
  licensors. The Material contains trade secrets and proprietary and
  confidential information of Intel or its suppliers and licensors.
  The Material is protected by worldwide copyright and trade secret laws and
  treaty provisions. No part of the Material may be used, copied, reproduced,
  modified, published, uploaded, posted, transmitted, distributed,
  or disclosed in any way without Intel's prior express written permission.

  No license under any patent, copyright, trade secret or other intellectual
  property right is granted to or conferred upon you by disclosure
  or delivery of the Materials, either expressly, by implication, inducement,
  estoppel or otherwise. Any license under such intellectual property rights
  must be express and approved by Intel in writing.

*******************************************************************************/
/**
 * ============================================================================
 * = PRODUCT
 *      Intel(r) IXA SDK for the IXP2X00 Network Processor
 *
 * = FILENAME
 *      ix_cc_pos_ppp_stub.h
 *
 * = DESCRIPTION
 *      This file will describe the common definitions that will be exported 
 *      by the POS PPP Stub Core Component.
 *
 * = CHANGE HISTORY
 *      6/23/2003 - Created.
 *
 * ============================================================================
 * $Id: ix_cc_pos_ppp_stub.h,v 1.1.4.1 2004/03/11 10:55:34 tmadajcz Exp $
 */

#ifndef _IX_CC_POS_PPP_STUB_H_
#define _IX_CC_POS_PPP_STUB_H_

#ifdef __cplusplus
extern "C"
{
#endif


ix_error ix_cc_pos_ppp_init(ix_cc_handle arg_CcHandle, void **arg_ppContext);
ix_error ix_cc_pos_ppp_fini(ix_cc_handle arg_CcHandle, void *arg_pContext);


#ifdef __cplusplus
}
#endif

#endif /* _IX_CC_POS_PPP_STUB_H_ */

