/*---------------------------------------------------------------------
 *
 *                  I N T E L   P R O P R I E T A R Y
 *
 *      COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS
 *      RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY
 *      BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A
 *      RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER
 *      LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,
 *      MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT
 *      THE PRIOR WRITTEN PERMISSION OF :
 *
 *                         INTEL  CORPORATION
 *
 *                      2200 MISSION COLLEGE BLVD
 *
 *                SANTA  CLARA,  CALIFORNIA  95052-8119
 *
 *---------------------------------------------------------------------
 *
 *        File Name: dl_system.h
 *
 *        Purpose: This file contains system wide parameters
 *                 that are customized for a given application.
 *
 *-------------------------------------------------------------------*/
#ifndef	__DL_SYSTEM__H__
#define	__DL_SYSTEM__H__

/* Define chip. */
#ifndef IXP2400
#define IXP2400
#endif

/* Define project as microcode based. */
#ifndef IXP_MICROCODE
#define IXP_MICROCODE
#endif

/* Include default settings */

/* This file is also used by script files that setup the system when run 
 * in simulation mode. When symbol IXP_SCRIPTS is defined, it indicates
 * that scripts are using this file. Since script files cannot access
 * path definitions, they should not encounter '#include <file>'. Instead
 * they include the <file> using Simulation -> Options -> Startup.
 */
#ifndef IXP_SCRIPTS
#include <dl_egress_system_default.h>
#endif

#endif /* __DL_SYSTEM__H__ */