/**
 * ============================================================================
 * = COPYRIGHT
 *              INTEL CORPORATION PROPRIETARY INFORMATION
 *   This software is supplied under the terms of a license agreement or
 *   nondisclosure agreement with Intel Corporation and may not be copied 
 *   or disclosed except in accordance with the terms in that agreement.
 *      Copyright (C) 2000-2003 Intel Corporation. All rights reserved.
 *
 * = PRODUCT
 *      Intel(r) IXA SDK 3.1 for the IXP2000 Network Processor
 *
 * = LIBRARY
 *      
 *
 * = MODULE
 *      V6V4 Tunnel Core Component - Linux kernel module file.
 *
 * = FILENAME
 *      ix_cc_v6v4_linux_kernel_module.c
 *
 * = DESCRIPTION
 *      The file defines the init and cleanup functions for Linux kernel module.
 *
 * = CREATION TIME
 *      06/30/2003
 *
 * = CHANGE HISTORY
 *
 * ============================================================================
 * $Id: ix_cc_v6v4_linux_kernel_module.c,v 1.2 2003/10/28 22:19:06 ttschlue Exp $
 */

#include <linux/module.h>
#include "ix_ossl.h"

#if (_IX_OS_TYPE_ == _IX_OS_LINUX_KERNEL_)

MODULE_LICENSE("Proprietary");

int init_module(void)
{
#ifdef IX_DEBUG
    ix_ossl_message_log("Loading v6v4tunnel_cc module.\n");
#endif
    return 0;
}

void cleanup_module(void)
{
#ifdef IX_DEBUG
    ix_ossl_message_log("Unloading v6v4tunnel_cc module.\n");
#endif
    return;
}

#endif
