#ifndef DSCP_MARKER_H
#define DSCP_MARKER_H

/*******************************************************************************
                             Intel Proprietary

 Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
 No part of this program or publication may be reproduced, transmited,
 transcribed, stored in a retrieval system, or translated into any language
 or computer language in any form or by any means, electronic, mechanical,
 magnetic, optical, chemical, manual, or otherwise, without the prior
 written permission of:
                         Intel Corporation
                         2200 Mission College Blvd.
                         Santa Clara, CA  95052-8119
*******************************************************************************/
/* #define IX_ERROR_FILE_IDENT "$Id: dscp_marker.h,v 1.3.6.1 2004/03/12 10:26:37 wneubaue Exp $" */


/* FILE  dscp_marker.h
 *
 *  Contains definitions used by a marker micro-block
 */


/* DSCP_MARKER_NEXT1 is a system dependent definition.
 * Therefore it should be made either in dl_system.h or as a compilation option.
 */
#ifndef	DSCP_MARKER_NEXT1
    #error "DSCP_MARKER_NEXT1 not defined."
#endif


/*
 * values of the 'header_type'
 * which indicate the type of the current packet:
 */

/* DSCP_MARKER_IPV4_PACKET is a system dependent definition.
 * Therefore it should be made either in dl_system.h or as a compilation option.
 */
#ifndef	DSCP_MARKER_IPV4_PACKET
    #error "DSCP_MARKER_IPV4_PACKET not defined."
#endif


/* DSCP_MARKER_IPV6_PACKET is a system dependent definition.
 * Therefore it should be made either in dl_system.h or as a compilation option.
 */
#ifndef	DSCP_MARKER_IPV6_PACKET
    #error "DSCP_MARKER_IPV6_PACKET not defined."
#endif


/* DSCP_MARKER_MPLS_PACKET is a system dependent definition.
 * Therefore it should be made either in dl_system.h or as a compilation option.
 */
#ifndef	DSCP_MARKER_MPLS_PACKET
    #error "DSCP_MARKER_MPLS_PACKET not defined."
#endif


#endif /* DSCP_MARKER_H */

