/*******************************************************************************
  INTEL CONFIDENTIAL

  Copyright 2000 - 2003 Intel Corporation All Rights Reserved.

  The source code contained or described herein and all documents related to
  the source code ("Material") are owned by Intel Corporation or its 
  suppliers or licensors.

  Title to the Material remains with Intel Corporation or its suppliers and
  licensors. The Material contains trade secrets and proprietary and
  confidential information of Intel or its suppliers and licensors.
  The Material is protected by worldwide copyright and trade secret laws and
  treaty provisions. No part of the Material may be used, copied, reproduced,
  modified, published, uploaded, posted, transmitted, distributed,
  or disclosed in any way without Intel's prior express written permission.

  No license under any patent, copyright, trade secret or other intellectual
  property right is granted to or conferred upon you by disclosure
  or delivery of the Materials, either expressly, by implication, inducement,
  estoppel or otherwise. Any license under such intellectual property rights
  must be express and approved by Intel in writing.

*******************************************************************************/

/**
 * ============================================================================
 *
 * = PRODUCT
 *      Intel(r) IXA SDK for the IXP2000 Network Processor
 *
 * = FILENAME
 *      ix_cc_wred_misc.h
 *
 * ============================================================================
 */

#if !defined(IX_CC_WRED_MISC_H)
#define      IX_CC_WRED_MISC_H




#if defined( __cplusplus )
extern "C" {
#endif /* __cplusplus */

/* _ix_cc_wred_empty_table_entry */
ix_error _ix_cc_wred_empty_table_entry( 
    _ix_cc_wred_table_entry * _pEntry
  );



/* _ix_cc_wred_empty_stats_entry */
#ifdef WRED_PACKET_COUNTER_FEATURE

ix_error
_ix_cc_wred_empty_stats_entry(_ix_cc_wred_stats_entry * _pStats);

#endif

    
/* _ix_cc_wred_unregister_msg_handler */
ix_error _ix_cc_wred_unregister_msg_handler();

/* _ix_cc_wred_unregister_pkt_handler */
ix_error _ix_cc_wred_unregister_pkt_handler();

/* _ix_cc_wred_free_symbols */
ix_error _ix_cc_wred_free_symbols();

#if defined( __cplusplus )
}
#endif /* __cplusplus */




#endif /* _WRED_MISC_H__INCLUDED_ */
