#ifndef	AAL5_TX_DEFS_H
#define	AAL5_TX_DEFS_H

/*******************************************************************************
                             Intel Proprietary

 Copyright (c) 1998-2002 By Intel Corporation.  All rights reserved.  
 No part of this program or publication may be reproduced, transmited,
 transcribed, stored in a retrieval system, or translated into any language
 or computer language in any form or by any means, electronic, mechanical,
 magnetic, optical, chemical, manual, or otherwise, without the prior
 written permission of:
                         Intel Corporation
                         2200 Mission College Blvd.
                         Santa Clara, CA  95052-8119
*******************************************************************************/

/* Define for the default padding inserted in ATM Cell */
#ifndef AAL5_TX_CELL_PADDING
#define AAL5_TX_CELL_PADDING					    0x6A6A6A6A
#endif

/* Size of each AAL5 Transmit Context (in bytes).*/
#ifndef AAL5_TX_CTX_SIZE
#define	AAL5_TX_CTX_SIZE		                    64
#endif

/* Total number of AAL5 Transmit Contexts.*/
#ifndef AAL5_TX_CTX_TOTAL
#define	AAL5_TX_CTX_TOTAL						    AAL5_TX_NUMBER_OF_VC
#endif

/* Size of the single packets-per-VCQ counter */
#define	AAL5_TX_PKTS_PER_VCQ_COUNTER_SIZE		    4

/* Size of the single cells-per-VCQ counter */
#define	AAL5_TX_CELLS_PER_VCQ_COUNTER_SIZE		    4

/* Size of the single packets-per-output-port counter */
#define	AAL5_TX_PKTS_PER_OUTPORT_COUNTER_SIZE	    4

/* Size of the single cells-per-output-port counter */
#define	AAL5_TX_CELLS_PER_OUTPORT_COUNTER_SIZE	    4

/* Available TBUF element counter */
#define AAL5_TX_AVAIL_TBUF_ELEMENT_SIZE             4

/* Number of transmited cells */
#define AAL5_TX_CELLS_TX_ELEMENT_SIZE				4


#ifdef MICROCODE

#else

#endif

#endif	/* AAL5_TX_DEFS_H */

