/****************************************************************************
*                  INTEL CORPORATION PROPRIETARY INFORMATION
*  This software is supplied under the terms of a license agreement or
*  nondisclosure agreement with Intel Corporation and may not be copied
*  or disclosed except in accordance with the terms of that agreement.
*  Copyright (c) 2001 Intel Corporation. All Rights Reserved.
*****************************************************************************/

/****************************************************************************
*$Source: /cvs/constellations/ixa_3.0/src/cp_pdk/ForwardingPlane/FPManager/inc/FPManager.h,v $
*$Revision: 1.6 $
*$Date: 2003/11/17 16:57:19 $
*****************************************************************************/
#ifndef _FPMANAGER_H_
#define _FPMANAGER_H_

#include "FPModule.h"
#include "backendapi.h"
#include "cm_mgr.h"
#include "bd_mgr.h"
#include "ipv4_mgr.h"
#include "event_mgr.h"
#include "atm_mgr.h"
#include "pkthndlr_mgr.h"

#ifdef _INCLUDE_IPV6TM
#include "ipv6tm_mgr.h"
#endif

#ifdef _INCLUDE_MPLS
#include "mpls_mgr.h"
#endif

#ifdef _INCLUDE_DIFFSERV
#include "qos_mgr.h"
#endif

int pdk_fpmgr_init();
int pdk_fpmgr_run(char* id, char* hostid);
int pdk_fpmgr_shutdown();

#endif /* _FPMANAGER_H_ */
