/*****************************************************************************
*                  INTEL CORPORATION PROPRIETARY INFORMATION
*  This software is supplied under the terms of a license agreement or
*  nondisclosure agreement with Intel Corporation and may not be copied
*  or disclosed except in accordance with the terms of that agreement.
*  Copyright (c) 2001 Intel Corporation. All Rights Reserved.
*****************************************************************************/

/***************************************************************************
*$Source: /cvs/constellations/ixa_3.0/src/cp_pdk/ForwardingPlane/inc/cm_mgr.h,v $
*$Revision: 1.6 $
*$Date: 2003/11/17 16:57:51 $
****************************************************************************/

#ifndef _CM_MANAGER_H
#define _CM_MANAGER_H

/* Initialization and shutdown routines, called by FPManager */
int fpm_cm_mgr_init ();
int fpm_cm_mgr_shutdown ();

/* Function for getting FE capabilities, called by B&D */
void fpm_cm_mgr_get_port_num(char* name, uint32_t cbCorrelator, 
							 char get_fecaps);
void fpm_cm_mgr_get_fecaps(char *name, uint32_t cbCorrelator);

#endif /*_CM_MANAGER_H_ */














