/*****************************************************************************
 *                            Intel Proprietary
 *
 * Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
 * No part of this program or publication may be reproduced, transmitted,
 * transcribed, stored in a retrieval system, or translated into any language
 * or computer language in any form or by any means, electronic, mechanical,
 * magnetic, optical, chemical, manual, or otherwise, without the prior
 * written permission of:
 *                        Intel Corporation
 *                        2200 Mission College Blvd.
 *                        Santa Clara, CA  95052-8119
 *****************************************************************************/

/*
 * generic list code
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "list.h"
#include "stack.h"

stack newstack()
{
	return newlist();
}

void deletestack(stack s)
{
	deletelist(s);
}

int stackisempty(stack s)
{
	return listisempty(s);
}

void stackpush(stack s, void *d)
{
	listprepend(s,d);
}

void* stackpop(stack s)
{
	return listremovefront(s);
}
