/*****************************************************************************
 *                            Intel Proprietary
 *
 * Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
 * No part of this program or publication may be reproduced, transmitted,
 * transcribed, stored in a retrieval system, or translated into any language
 * or computer language in any form or by any means, electronic, mechanical,
 * magnetic, optical, chemical, manual, or otherwise, without the prior
 * written permission of:
 *                        Intel Corporation
 *                        2200 Mission College Blvd.
 *                        Santa Clara, CA  95052-8119
 *****************************************************************************/

/*
 * creates and maintains a list of user defined types
 */

typedef struct type_t {
	char* name;
	int typeid; /* user defined, int, char, struct, etc */
	int kindoftype; /* 0: regular, 1: pointer, 2: array, ... */
	char* size; /* if array, pointer array, or struct array */
    char* kase; /* if a union or union member */

    struct type_t* basetype;
    list fields;
} * itype;
