/////////////////////////////////////////////////////////////////////////
//                                                                     //
// Filename: PACKOFF.H                                                 //
// Module:   Platform Isolation Layer Structure Packing Stop Header    //
// Author:   Daniel Baumberger                                         //
//                                                                     //
/////////////////////////////////////////////////////////////////////////
//                                                                     //
//      Copyright (C) 1999 Intel Corporation  ALL RIGHTS RESERVED      //
//                                                                     //
//             INTEL CORPORATION PROPRIETARY INFORMATION               //
//                                                                     //
//     This software is supplied under the terms of a license agree-   //
//     ment or non-disclosure agreement with Intel Corporation         //
//     and may not be copied nor disclosed except in accordance        //
//     with the terms of that agreement.                               //
//                                                                     //
/////////////////////////////////////////////////////////////////////////
//                                                                     //
// PURPOSE:                                                            //
//                                                                     //
// Includes platform specific packing structures.                      //
//                                                                     //
/////////////////////////////////////////////////////////////////////////

#ifndef __PACKOFF_H_INCLUDED__
#define __PACKOFF_H_INCLUDED__

#ifdef _MSC_VER
#include "vcnopack.h"
#endif // _MSC_VER

#ifdef __GNUC__
#include "gccnopack.h"
#endif // __GNUC__

#endif // __PACKOFF_H_INCLUDED__
