/////////////////////////////////////////////////////////////////////////
//                                                                     //
// Filename: PILDEBUG.C                                                //
// Module:   Platform Isolation Layer Debug Routines/Macros            //
// Author:   JP Sugarbroad                                             //
//                                                                     //
/////////////////////////////////////////////////////////////////////////
//                                                                     //
//      Copyright (C) 1999 Intel Corporation  ALL RIGHTS RESERVED      //
//                                                                     //
//             INTEL CORPORATION PROPRIETARY INFORMATION               //
//                                                                     //
//     This software is supplied under the terms of a license agree-   //
//     ment or non-disclosure agreement with Intel Corporation         //
//     and may not be copied nor disclosed except in accordance        //
//     with the terms of that agreement.                               //
//                                                                     //
/////////////////////////////////////////////////////////////////////////

#include "pil_int.h"
#include <stdio.h>
#include <stdarg.h>

uint32_t PIL_Trace(char *Format, ...)
{
    int ret;
    va_list ap;

    va_start(ap,Format);
    ret = vfprintf(stderr,Format,ap);
    fflush(stderr);
    va_end(ap);

    return (uint32_t) ret;
}
