/**
 * ============================================================================
 * = COPYRIGHT
 *              INTEL CORPORATION PROPRIETARY INFORMATION
 *   This software is supplied under the terms of a license agreement or
 *   nondisclosure agreement with Intel Corporation and may not be copied 
 *   or disclosed except in accordance with the terms in that agreement.
 *      Copyright (C) 2000-2002 Intel Corporation.All rights reserved.
 *
 * = PRODUCT
 *      Intel(r) IXA SDK 3.0 for the IXP2000 Network Processor, Release 5
 *
 * = FILENAME
 *      ix_cci.h
 *
 * = DESCRIPTION
 *      Master header file for CCI. This is the only file that needs to be 
 *      included to use the CCI.
 *
 * = AUTHOR
 *       Roland Arajs
 *       roland.arajs@intel.com
 *
 * = CHANGE HISTORY
 *      4/1/2002 3:54:57 PM - creation time
 *
 * ============================================================================
 * $Id: ix_cci.h,v 1.3 2002/09/18 17:15:37 lbmiller Exp $
 */
#if !defined(__IX_CCI_H__)
#define __IX_CCI_H__


#if defined(__cplusplus)
extern "C"
{
#endif /* end defined(__cplusplus) */

#include "ix_ossl.h"
#include "cci/cci_types.h"
#include "cci/cci_defs.h"
#include "cci/cci_main.h"
#include "cci/engine.h"
#include "cci/policy.h"
#include "cci/cc.h"
#include "cci/cci_error.h"




#if defined(__cplusplus)
}
#endif /* end defined(__cplusplus) */

#endif /* end !defined(__IX_CCI_H__) */
