/**
 * ============================================================================
 * = COPYRIGHT
 *              INTEL CORPORATION PROPRIETARY INFORMATION
 *   This software is supplied under the terms of a license agreement or
 *   nondisclosure agreement with Intel Corporation and may not be copied
 *   or disclosed except in accordance with the terms in that agreement.
 *      Copyright (C) 2000-2002 Intel Corporation.All rights reserved.
 *
 *
 * = PRODUCT
 *      Intel(r) IXA SDK 3.0 for the IXP2000 Network Processor, Release 5
 *
 * = FILENAME
 *      bindings general.h
 *
 * = DESCRIPTION
 *      Communication identifer ranges and definitions.
 *
 * = AUTHOR
 *
 *
 *
 * = CHANGE HISTORY
 *      12/05/2003 2:28:19 PM - creation time
 *
 * ============================================================================
 * $Id:
 * $History: $
 */
#if !defined(__BINDINGS_GENERAL_H__)
#define __BINDINGS_GENERAL_H__
/* include resource manager communication header file */

#if defined(__cplusplus)
extern "C"
{
#endif /* end defined(__cplusplus) */

/*
*     CommIds 64-78 are reserved for shared commIds between core and micro-code
*/

/* #define START_SHARED_COMM_IDS				64 */

/* #define END_SHARED_COMM_IDS                 81 */


#if defined(__cplusplus)
}
#endif /* end defined(__cplusplus) */

#endif /* end of !defined(__BINDINGS_GENERAL_H__) */




