///////////////////////////////////////////////////////////////////////////////
//                                                                     
//                  I N T E L   P R O P R I E T A R Y                   
//                                                                      
//     COPYRIGHT (c)  2001-2002 BY  INTEL  CORPORATION.  ALL RIGHTS          
//     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
//     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
//     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
//     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
//     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
//     THE PRIOR WRITTEN PERMISSION OF :                                
//                                                                      
//                        INTEL  CORPORATION                            
//                                                                     
//                     2200 MISSION COLLEGE BLVD                        
//                                                                      
//               SANTA  CLARA,  CALIFORNIA  95052-8119                  
//                                                                      
///////////////////////////////////////////////////////////////////////////////
//
//
//      File Name: hardware.h
//
//      Purpose: 
//
//      History:
//
//
//      Date            Comment                         By
//      ---------------------------------------------------------------------
//
//      05/17/2002      Created                         David Meng
//
//
/////////////////////////////////////////////////////////////////////////////

#ifndef __HARDWARE_H__
#define __HARDWARE_H__

//	Following section will define the chip hardawre 
//	used in the project

/* 
 * This file is used evn by MicroC source files and the Compiler unlike the assembler
 * doesn't yet support IS_IXPTYPE(__IXP24XX) IS_IXPTYPE(__IXP28XX) macros. Until then 
 * we'll use IXP2400 and IXP2800.
 */
#ifdef	IXP2400
#include <ixp2400_hardware.h>
#endif

#ifdef	WESTPORT
#include <westport_hardware.h>
#endif

#ifdef	IXP2800
#include <ixp2800_hardware.h>
#endif


#endif // __HARDWARE_H__ done

