/**
 * ============================================================================
 * = COPYRIGHT
 *              INTEL CORPORATION PROPRIETARY INFORMATION
 *   This software is supplied under the terms of a license agreement or
 *   nondisclosure agreement with Intel Corporation and may not be copied 
 *   or disclosed except in accordance with the terms in that agreement.
 *      Copyright (C) 2000-2002 Intel Corporation. All rights reserved.
 *
 * = PRODUCT
 *      Intel(r) IXA SDK for the IXP2X00 Network Processor
 *
 * = FILENAME
 *      ix_config.h
 *
 * = DESCRIPTION: file for global configuration values in case registry is not supported
 *
 * = CHANGE HISTORY
 *      9/13/2002 - Created
 * $Id: ix_config.h,v 1.4 2002/09/21 02:42:22 hlzaks Exp $
 **/
#if !defined(__IX_CONFIG_H__)
#define __IX_CONFIG_H__

#if defined(__cplusplus)
extern "C"
{
#endif /* end defined(__cplusplus) */
#define INGRESS_EGRESS      0 /* 0 ingress , 1 egress */
#define LOCAL_BLADE_ID      1; /* blade number */
#define SRAM_CHANNEL_NUM    0; 


#if defined(__cplusplus)
}
#endif /* end defined(__cplusplus) */

#endif /* end !defined(__IX_CC_SCHED_H__) */
