#ifndef INCixdp2400misch
#define INCixdp2400misch

#if (_IX_BOARD_TYPE_ == _IX_IXDP2401_)
#define isNPUMaster()	1	/* Always master in case of IXDP2401 */
#else
int isNPUMaster(void); 
#endif

int isSingleFLASHmode(void);
int isNPUFlashEnabled(void);
int getNPUid(void);
int getProductID (unsigned int mask);
STATUS sysMmuMapAdd(void *addr, UINT len, UINT mask, UINT state);
UINT32 swap32(UINT32 data);
UINT16 sysRead16(volatile UINT16 *address);
UINT16 swap16(UINT16 data);
void sysWrite16(volatile UINT16 *address, UINT16 data);
STATUS ixdp2400SRAMInit(int channel, int skipCsr, int frmPci, int offset);
void getXtalFreq(void);


#define IXP2400_DELAY(n)      {int i;for(i=0;i<n;i++);}

#endif
