/**
 * ============================================================================
 * = COPYRIGHT
 *              INTEL CORPORATION PROPRIETARY INFORMATION
 *   This software is supplied under the terms of a license agreement or
 *   nondisclosure agreement with Intel Corporation and may not be copied 
 *   or disclosed except in accordance with the terms in that agreement.
 *      Copyright (C) 2002 Intel Corporation. All rights reserved.
 *
 * = PRODUCT
 *      Intel(r) IXA SDK for the IXP2X00 Network Processor
 *
 * = FILENAME
 *      swlpmv4.h
 *
 * = DESCRIPTION
 *      Describes the functions called by the shared portion of the Software
 *      Lookup Library implementation.
 *
 * ============================================================================
 * $Id: swlpmv4.h,v 1.4 2002/09/18 17:03:51 lbmiller Exp $
 */

#if !defined(__IX_LKUP_SWLPMV4_H__)
#define __IX_LKUP_SWLPMV4_H__

#include "lkup/sw.h"

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

ix_error _ix_lkup_swlpmv4_create_table(
        ix_lkup arg_hLkup,
        ix_lkup_table_conf *arg_pTableConf,
        void *arg_pVndrConf,
        ix_lkup_table *arg_phTable
        );

#if defined(__cplusplus)
} /* extern "C" */
#endif /* __cplusplus */

#endif /*__IX_LKUP_SWLPMV4_H__*/
