/**
 * ============================================================================
 * = COPYRIGHT
 *              INTEL CORPORATION PROPRIETARY INFORMATION
 *   This software is supplied under the terms of a license agreement or
 *   nondisclosure agreement with Intel Corporation and may not be copied 
 *   or disclosed except in accordance with the terms in that agreement.
 *      Copyright (C) 2002 Intel Corporation. All rights reserved.
 *
 * = PRODUCT
 *      Intel(r) IXA SDK for the IXP2X00 Network Processor
 *
 * = FILENAME
 *      internal_rtmapi.h
 *
 * = DESCRIPTION
 *      Structures, macros, etc. for the implementation of the RTM API.
 *      Should not be needed by users of the RTM.
 *
 * ============================================================================
 * $Id: internal_rtmapi.h,v 1.2 2003/04/04 00:09:46 rmurty Exp $
 */

#if !defined(__IX_RTMAPI_INTERNAL_H__)
#define __IX_RTMAPI_INTERNAL_H__

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

struct ix_s_cc_rtmv6
{
    _ix_cc_nhdb         hNhdb;
    ix_lkup             hLkup;
    ix_lkup_table       hTable;
    int                 numNextHops;
    int                 numRoutes;
    int                 numMultipleNextHops;
};

#define _IX_CC_RTMV6_LKUP_VERSION 1

#if defined(__cplusplus)
} /* extern "C" */
#endif /* __cplusplus */

#endif /*__IX_RTMAPI_INTERNAL_H__*/
