#! /bin/bash
#
# ============================================================================
# = COPYRIGHT
#           INTEL CORPORATION PROPRIETARY INFORMATION
#   This software is supplied under the terms of a license agreement or
#   nondisclosure agreement with Intel Corporation and may not be copied 
#   or disclosed except in accordance with the terms in that agreement.
#   Copyright (C) 2004 Intel Corporation. All rights reserved.
#
# = PRODUCT
#      Intel(r) IXA SDK for the IXP2000 Network Processor
#
#      
#============================================================================
#
insmod -f libossl.o
insmod -f halMeDrv.o
insmod -f halMev2_lib.o
insmod -f rm_lib.o
insmod -f cci_lib.o

insmod -f utilities_lib.o
insmod -f msg_support_lib.o
insmod -f properties_lib.o
insmod -f lkup_lib.o
insmod -f rtmv4_lib.o
insmod -f rtmapi6_lib.o
insmod -f fragmentation_lib.o

insmod -f ethernet_rx_cc.o
insmod -f ipv6_cc.o
insmod -f sched_cc.o
insmod -f csix_tx_cc.o
insmod -f qm_cc.o
insmod -f natpt_cc.o
insmod -f ipv6_tnl_cc.o
insmod -f ipv4_cc.o

insmod -f stkdrv_cc.o

insmod -f oc48_ethernet_ingress_config.o
insmod -f sysapp_common_ingress.o
insmod -f route_config_util.o

./check_ingress_module_loaded_v6

count=`ls -al /dev/SaUtil | wc -l`
if test $count -eq 0
then
mknod /dev/SaUtil c 254 0
fi
count=`ls -al /dev/RConfig | wc -l`
if test $count -eq 0
then
mknod /dev/RConfig c 253 0
fi
count=`ls -al /dev/NatptConfig | wc -l`
if test $count -eq 0
then
mknod /dev/NatptConfig c 240 0
fi
count=`ls -al /dev/TunnelConfig | wc -l`
if test $count -eq 0
then
mknod /dev/TunnelConfig c 241 0
fi
count=`ls -al /dev/L2Config | wc -l`
if test $count -eq 0
then
mknod /dev/L2Config c 252 0
fi
