#ifndef POS_ATM_MEDIA_DRV_CCI_H
#define POS_ATM_MEDIA_DRV_CCI_H
/*****************************************************************************
 *
 *                INTEL CORPORATION PROPRIETARY INFORMATION
 * This software was created by Intel Technology Poland and is supplied under
 *     the terms of a license agreement or nondisclosure agreement with
 *      Intel Corporation and may not be copied or disclosed except in
 *              accordance with the terms of that agreement.
 *        Copyright(c) 2003 Intel Corporation. All Rights Reserved.
 *
 * REDISTRIBUTION OF THIS SOURCE CODE MUST RETAIN THE ABOVE COPYRIGHT NOTICE
 *
 *****************************************************************************/
/*****************************************************************************
 *
 * File:  pos_atm_media_drv_cci.h
 *
 * Abstract:
 *      This file contains all necessary defines for functions utilizin
 * pos_atm_media_drv wrapper functions which allow open, configure and get
 * current state and statistics from controlled device
 *
 *****************************************************************************/

int ix_cc_atmdrv_init(void);
int ix_cc_atmdrv_fini(void);

int ix_cc_atmdrv_linkup(int db, int link);
int framer_stats(int db, int link, int channel);

#endif /* POS_ATM_MEDIA_DRV_CCI_H */



