/*===========================================================================
 * = COPYRIGHT INTEL CORPORATION PROPRIETARY INFORMATION
 *   This software is supplied under the terms of a licence agreement or
 *   nondisclosure agreement with Intel Corporation and may not be copied
 *   or disclosed except in accordance with the terms in that agreement.
 *      Copyright (C) 2003 Intel Corporation. All rights reserved.
 *
 * = PRODUCT
 *      Intel(r) IXA SDK for the IXP2X00 Network Processor
 * ===========================================================================
 */

/* =========================================================================*/
/**
 * @file   ix_sa_global_tables.c
 *
 * Definition of CC_INITIALIZATION funciton.
 *
 **/
/*=========================================================================*/
/* $Id: ix_sa_global_tables.c,v 1.1.2.1 2004/03/11 17:43:31 ksandowi Exp $ */
#include "ix_cc_error.h"
#include "sa/ix_sa_cc_list.h"

#include "cc/ix_cc_qm_frmwrk.h"

IX_CC_QM_INSTANCE_TABLE_DEFINE()
IX_CC_QM_INSTANCE_ENTRY_DEFINE(IX_CC_QM_0_MSG_INPUT,IX_CC_QM_0_COMMON_PKT_INPUT,IX_CC_QM_0_EGRESS_PKT_INPUT,IX_CC_QM_0_EGRESS_PKT_OUTPUT,IX_CC_QM_0_UBLOCK_PKT_OUTPUT)
IX_CC_QM_INSTANCE_ENTRY_DEFINE(IX_CC_QM_1_MSG_INPUT,IX_CC_QM_1_COMMON_PKT_INPUT,IX_CC_QM_1_EGRESS_PKT_INPUT,IX_CC_QM_1_EGRESS_PKT_OUTPUT,IX_CC_QM_1_UBLOCK_PKT_OUTPUT)
IX_CC_QM_INSTANCE_TABLE_END


