#ifndef   SYSTEM_H
#define   SYSTEM_H

/*******************************************************************************
                             Intel Proprietary

 Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.
 No part of this program or publication may be reproduced, transmited,
 transcribed, stored in a retrieval system, or translated into any language
 or computer language in any form or by any means, electronic, mechanical,
 magnetic, optical, chemical, manual, or otherwise, without the prior
 written permission of:
                         Intel Corporation
                         2200 Mission College Blvd.
                         Santa Clara, CA  95052-8119
*******************************************************************************/
/* "$Id: system.h,v 1.6.2.1 2004/03/12 10:47:25 wneubaue Exp $" */




/*
 * In case of absence of system registry the below static configuration is used
 */


/*
 * the following definition is taken only if system registry is not available 
 */
#define   MPLS_NHLFE_MAX_NHLFE_ENTRIES     50

/* 
 * Note: This is a bitmask used to go in a loop across all possible
 * uEs with MPLS microblock. Default mask for ME1, ME2, ME5, ME6
 */
#define   MPLS_MEV2_NUM_MASK               0x66
                                        

#define   IPV4_COUNTERS_SCRATCH            SWITCH_ENABLE

 

#ifdef    __COUNTERS__

#ifndef	  MPLS_COUNTER_FEATURE
#define   MPLS_COUNTER_FEATURE
#endif

#else

#define   DISABLE_IPV4_COUNTERS

#endif


#endif
