/*******************************************************************************
  INTEL CONFIDENTIAL

  Copyright 2000 - 2003 Intel Corporation All Rights Reserved.

  The source code contained or described herein and all documents related to
  the source code ("Material") are owned by Intel Corporation or its 
  suppliers or licensors.

  Title to the Material remains with Intel Corporation or its suppliers and
  licensors. The Material contains trade secrets and proprietary and
  confidential information of Intel or its suppliers and licensors.
  The Material is protected by worldwide copyright and trade secret laws and
  treaty provisions. No part of the Material may be used, copied, reproduced,
  modified, published, uploaded, posted, transmitted, distributed,
  or disclosed in any way without Intel's prior express written permission.

  No license under any patent, copyright, trade secret or other intellectual
  property right is granted to or conferred upon you by disclosure
  or delivery of the Materials, either expressly, by implication, inducement,
  estoppel or otherwise. Any license under such intellectual property rights
  must be express and approved by Intel in writing.

*******************************************************************************/

/**
 * ============================================================================
 *
 * = PRODUCT
 *      Intel(r) IXA SDK for the IXP2000 Network Processor
 *
 * = FILENAME
 *      ix_cc_tc_meter_registry.h
 *
 * ============================================================================
 */


#if !defined(IX_CC_TC_METERT_REGISTRY_H)
#define      IX_CC_TC_METERT_REGISTRY_H


/* TC_METER core component specific properties */

#define IX_RKEY_TC_METER_MEV2_NUM_MASK \
  "TC_METER/MEV2_NUM_MASK"

#define IX_RKEY_TC_METER_SRAM_CHANNEL \
  "TC_METER/TABLE_MEM_CHANNEL"

#define IX_RKEY_TC_METER_ENTRY_SRAM_SIZE \
  "TC_METER/ENTRY_SRAM_SIZE"

#define IX_RKEY_TC_METER_STATS_ENTRY_SRAM_SIZE \
  "TC_METER/64BITSTAT_ENTRY_SRAM_SIZE"

#define IX_RKEY_TC_METER_TABLE_SRAM_SIZE \
  "TC_METER/TABLE_SRAM_SIZE"


#endif /* IX_CC_TC_METERT_REGISTRY_H */
