/*****************************************************************************
*                  INTEL CORPORATION PROPRIETARY INFORMATION
*  This software is supplied under the terms of a license agreement or
*  nondisclosure agreement with Intel Corporation and may not be copied
*  or disclosed except in accordance with the terms of that agreement.
*  Copyright (c) 2001 Intel Corporation. All Rights Reserved.
*****************************************************************************/


/*****************************************************************************
* $Source: /cvs/constellations/ixa_3.0/src/cp_pdk/ControlPlane/APIImplementations/IPv4/inc/ipv4_req_handler.h,v $
* $Revision: 1.5 $
* $Date: 2003/11/17 16:57:11 $
*
* Description:
*     Defines the internal APIs used by other Internal IPV4 files.
*****************************************************************************/

#ifndef IPV4_REQ_HANDLER_H
#define IPV4_REQ_HANDLER_H

NPF_RET ipv4_InvokeUserReqHandler(IPV4UsrReqInfo_t *usrReq);

NPF_RET ipv4_InvokeAppCallback( IPV4UsrReqInfo_t   *usrReq, NPF_IPv4UC_CallbackData_t *fpCBData, NPF_IPv4UC_CallbackType_t cbType, NPF_IPv4UC_ReturnCode_t   retCode);

#ifdef IPV4_UNIF_SUPPORT
void ipv4_Unified_CallBack( NPF_userContext_t userContext, NPF_correlator_t correlator, NPF_IPv4UC_CallbackData_t data);
#endif /* IPV4_UNIF_SUPPORT */

#endif /* REQ_HANDLER_H */
