/*****************************************************************************
 *                            Intel Proprietary
 *
 * Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
 * No part of this program or publication may be reproduced, transmitted,
 * transcribed, stored in a retrieval system, or translated into any language
 * or computer language in any form or by any means, electronic, mechanical,
 * magnetic, optical, chemical, manual, or otherwise, without the prior
 * written permission of:
 *                        Intel Corporation
 *                        2200 Mission College Blvd.
 *                        Santa Clara, CA  95052-8119
 *****************************************************************************/

#ifndef DYNAMICMODULE_H
#define DYNAMICMODULE_H

#define HUBKEYID 0x6969
#define MESSAGE_LENGTH 1024
#define SHUTDOWN_MESSAGE "--shutdown"

typedef struct threadarg_t
{
	void (*client_main)(int argc, char *argv[]);
	char cmdline[MESSAGE_LENGTH];
}threadarg;

typedef struct msgbuf_t
{
	long mtype;
	char mtext[MESSAGE_LENGTH];
} msgbuf;

#endif
