/****************************************************************************
 *             INTEL CORPORATION PROPRIETARY INFORMATION
 *  This software is supplied under the terms of a license agreement or
 *  nondisclosure agreement with Intel Corporation and may not be copied
 *  or disclosed except in accordance with the terms of that agreement.
 *      Copyright (c) 2002 Intel Corporation. All Rights Reserved.
 *
 * $Source: /cvs/constellations/ixa_3.0/src/cp_pdk/ControlPlane/inc/pdk_atm.h,v $
 * $Revision: 1.5 $
 * $Date: 2003/11/17 16:57:17 $
 *
 * Description:
 * This file defines the external API which applications use to access
 * ATM functionality.
 *
 ****************************************************************************/

#ifndef __PDK_ATM_H__
#define __PDK_ATM_H__

#ifdef __cplusplus
extern "C" {
#endif

#ifdef _INCLUDE_ATM
/*
 * ATM API module initialization/shutdown function for the PDK manager
 */
NPF_error_t pdk_atm_init (void);
NPF_error_t pdk_atm_shutdown (void);

#endif /* _INCLUDE_ATM */

#ifdef __cplusplus
}
#endif

#endif /* __PDK_ATM_H__ */
