/*****************************************************************************
 *                            Intel Proprietary
 *
 * Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
 * No part of this program or publication may be reproduced, transmitted,
 * transcribed, stored in a retrieval system, or translated into any language
 * or computer language in any form or by any means, electronic, mechanical,
 * magnetic, optical, chemical, manual, or otherwise, without the prior
 * written permission of:
 *                        Intel Corporation
 *                        2200 Mission College Blvd.
 *                        Santa Clara, CA  95052-8119
 *****************************************************************************/

/****************************************************************
 *  pdk_ph.h                                                    *
 *  ----------                                                  *
 * This is the main header file for the CE Packet Handler module*
 * of the NPF PDK                                               *
 *                                                              *
 ****************************************************************/

#ifndef __PDK_PH_H_
#define __PDK_PH_H_

#ifdef __cplusplus
extern "C" {
#endif

extern NPF_RET ph_init();
extern NPF_RET ph_shutdown();

#ifdef _LINUX_

extern void ph_write_packet(FPPI_FEID feid, FPPI_PortID portid, int len, char* buffer );

#else

#ifdef _VXWORKS_
extern void ph_write_packet(FPPI_FEID feid, FPPI_PortID portid, M_BLK_ID mbuf);
#endif

#endif

#ifdef __cplusplus
}
#endif

#endif /* __PDK_PH_H__ */
