#*****************************************************************************
#                            Intel Proprietary
#
# Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
# No part of this program or publication may be reproduced, transmitted,
# transcribed, stored in a retrieval system, or translated into any language
# or computer language in any form or by any means, electronic, mechanical,
# magnetic, optical, chemical, manual, or otherwise, without the prior
# written permission of:
#                        Intel Corporation
#                        2200 Mission College Blvd.
#                        Santa Clara, CA  95052-8119
#****************************************************************************

# Common makefile variables for NPF PDK
.EXPORT_ALL_VARIABLES:

TEAM   := $(shell cat $(ROOTDIR)/ForwardingPlane/.team)

include $(ROOTDIR)/Defines.make


CFLAGS += -D_$(TEAM)_ -DDEBUG -D_IX_HARDWARE_TYPE_=1 -DIX_PLATFORM_2400

ifeq ($(TARG_ARCH)-$(TARG_OS),IXP-LINUX)
LINK_TYPE=-static
CFLAGS += -DTARG_IXP
endif

