/*****************************************************************************
*                  INTEL CORPORATION PROPRIETARY INFORMATION
*  This software is supplied under the terms of a license agreement or
*  nondisclosure agreement with Intel Corporation and may not be copied
*  or disclosed except in accordance with the terms of that agreement.
*  Copyright (c) 2001 Intel Corporation. All Rights Reserved.
*****************************************************************************/

#ifndef _SHIM_IPV4_MGR_H
#define _SHIM_IPV4_MGR_H

#ifdef __cplusplus
extern "C" {
#endif

typedef enum
{
   SH_IPV4_ASYNC_ADD_ROUTE = 0,
   SH_IPV4_ASYNC_DEL_ROUTE ,
   SH_IPV4_ASYNC_UPDATE_ROUTE ,
   SH_IPV4_GET_ROUTE ,
   SH_IPV4_ASYNC_LOOKUP_ROUTE ,
   SH_IPV4_ASYNC_FLUSH_PREFIX ,
   SH_IPV4_ASYNC_FLUSH_NHOP ,
   SH_IPV4_ASYNC_UPDATE_NHOP ,
   SH_IPV4_ASYNC_ADD_NHOP ,
   SH_IPV4_ASYNC_DEL_NHOP ,
   SH_IPV4_ASYNC_GET_NHOP ,
   SH_IPV4_GET_NHOP 
} SH_IPV4_ACTION;

typedef enum
{
   SH_FPM_REGISTER_LINKST = 0,
   SH_FPM_REGISTER_IPV4EXCP,
   SH_FPM_REGISTER_PKTHDLR,
   SH_FPM_DEREGISTER_LINKST,
   SH_FPM_DEREGISTER_IPV4EXCP,
   SH_FPM_DEREGISTER_PKTHDLR,
   SH_FPM_ADD_L2ENTRY,
   SH_FPM_ASYNC_ADD_L2ENTRY,
   SH_FPM_DEL_L2ENTRY,
   SH_FPM_ASYNC_DEL_L2ENTRY,
   SH_FPM_ADD_ARPENTRY,
   SH_FPM_ASYNC_ADD_ARPENTRY,
   SH_FPM_DEL_ARPENTRY,
   SH_FPM_ASYNC_DEL_ARPENTRY,
   SH_FPM_FLUSH_ARP,
   SH_FPM_EVENT_LINKST,
   SH_FPM_EVENT_IPV4EXCP,
   SH_FPM_CONFIG_CPADDR
} SH_FPM_ACTION;

typedef enum
{
   SH_STKDRV_ASYNC_GET_NUMPORTS = 0,
   SH_STKDRV_ASYNC_GET_PROPERTY,
   SH_STKDRV_ASYNC_SET_PROPERTY
} SH_STKDRV_ACTION;

#ifdef __cplusplus
}
#endif

#endif /*_IPV4_MGR_SDK_H */

