#*****************************************************************************
#                            Intel Proprietary
#
# Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
# No part of this program or publication may be reproduced, transmitted,
# transcribed, stored in a retrieval system, or translated into any language
# or computer language in any form or by any means, electronic, mechanical,
# magnetic, optical, chemical, manual, or otherwise, without the prior
# written permission of:
#                        Intel Corporation
#                        2200 Mission College Blvd.
#                        Santa Clara, CA  95052-8119
#****************************************************************************

# Common makefile rules for NPF PDK
# This assumes that you include Makefile.defines

lib/$(ARCH_DIR)_$(OS_DIR)/.%.d : src/%.cc
	@mkdir -p lib/$(ARCH_DIR)_$(OS_DIR)
	@echo -n "obj/$(ARCH_DIR)_$(OS_DIR)/" > $@;
	$(CC_DEP) -M $(CFLAGS) $(INCLUDEPATH) $(LOCALDIR)/$< | sed -e "s/\($*\)\.o[ \t]*:/lib\/$(ARCH_DIR)_$(OS_DIR)\/.$*.d:/g" > $(LIBDIR)/.$*.d
	@rm -f $(LIBDIR)/.$*.d.tmp

lib/$(ARCH_DIR)_$(OS_DIR)/.%.d : src/%.c
	@mkdir -p lib/$(ARCH_DIR)_$(OS_DIR)
	@echo -n "obj/$(ARCH_DIR)_$(OS_DIR)/" > $@;
	$(CC_DEP) -M $(CFLAGS) $(INCLUDEPATH) $(LOCALDIR)/$< | sed -e "s/\($*\)\.o[ \t]*:/lib\/$(ARCH_DIR)_$(OS_DIR)\/.$*.d:/g" > $(LIBDIR)/.$*.d
	@rm -f $(LIBDIR)/.$*.d.tmp

lib/$(ARCH_DIR)_$(OS_DIR)/.%.d : %.cpp
	@mkdir -p lib/$(ARCH_DIR)_$(OS_DIR)
	@echo -n "obj/$(ARCH_DIR)_$(OS_DIR)/" > $@;
	$(CC_DEP) -M $(CFLAGS) $(INCLUDEPATH) $(LOCALDIR)/$< | sed -e "s/\($*\)\.o[ \t]*:/lib\/$(ARCH_DIR)_$(OS_DIR)\/.$*.d:/g" > $(LIBDIR)/.$*.d
	@rm -f $(LIBDIR)/.$*.d.tmp

lib/$(ARCH_DIR)_$(OS_DIR)/.%.d : %.c
	@mkdir -p lib/$(ARCH_DIR)_$(OS_DIR)
	@echo -n "obj/$(ARCH_DIR)_$(OS_DIR)/" > $@;
	$(CC_DEP) -M $(CFLAGS) $(INCLUDEPATH) $(LOCALDIR)/$< | sed -e "s/\($*\)\.o[ \t]*:/lib\/$(ARCH_DIR)_$(OS_DIR)\/.$*.d:/g" > $(LIBDIR)/.$*.d

obj/$(ARCH_DIR)_$(OS_DIR)/%.o : src/%.cc lib/$(ARCH_DIR)_$(OS_DIR)/.%.d
	@mkdir -p obj/$(ARCH_DIR)_$(OS_DIR)
	$(CC) -c $(CFLAGS) $(INCLUDEPATH) $< -o $@

obj/$(ARCH_DIR)_$(OS_DIR)/%.o : src/%.c lib/$(ARCH_DIR)_$(OS_DIR)/.%.d
	@mkdir -p obj/$(ARCH_DIR)_$(OS_DIR)
	$(CC) -c $(CFLAGS) $(INCLUDEPATH) $< -o $@

obj/$(ARCH_DIR)_$(OS_DIR)/%.o : %.cpp lib/$(ARCH_DIR)_$(OS_DIR)/.%.d
	@mkdir -p obj/$(ARCH_DIR)_$(OS_DIR)
	$(CC) -c $(CFLAGS) $(INCLUDEPATH) $< -o $@

obj/$(ARCH_DIR)_$(OS_DIR)/%.o : %.c lib/$(ARCH_DIR)_$(OS_DIR)/.%.d
	@mkdir -p obj/$(ARCH_DIR)_$(OS_DIR)
	$(CC) -c $(CFLAGS) $(INCLUDEPATH) $< -o $@
