/****************************************************************************
 *             INTEL CORPORATION PROPRIETARY INFORMATION
 *  This software is supplied under the terms of a license agreement or
 *  nondisclosure agreement with Intel Corporation and may not be copied
 *  or disclosed except in accordance with the terms of that agreement.
 *      Copyright (c) 2001 Intel Corporation. All Rights Reserved.
 *
 * $Source: /cvs/constellations/ixa_3.0/src/cp_pdk/common/Encap/inc/fppdecap.h,v $
 * $Revision: 1.6 $
 * $Date: 2003/11/17 16:57:51 $
 *
 * Description:
 * This file defines the decapsulate functions
 *
 ****************************************************************************/

#include "ipaddr.h"
#include "hwaddr.h"

char* decapsulate_char ( char* c, char* buf );
#define decapsulate_unsignedchar decapsulate_char 
#define decapsulate_BOOL decapsulate_char 
char* decapsulate_array_char ( char* a, uint32_t l, char* buf );
#define decapsulate_array_unsignedchar decapsulate_array_char 

#define decapsulate_int8_t decapsulate_char 

char* decapsulate_uint16_t ( uint16_t* i, char* buf );
#define decapsulate_int16_t decapsulate_uint16_t 
#define decapsulate_int decapsulate_uint16_t 

char* decapsulate_array_uint16_t ( uint16_t* a, uint32_t l, char* buf );
#define decapsulate_array_int16_t decapsulate_array_uint16_t 

char* decapsulate_uint32_t ( uint32_t* i, char* buf );
char* decapsulate_array_uint32_t ( uint32_t* a, uint32_t l, char* buf );
#define decapsulate_int32_t decapsulate_uint32_t 
#define decapsulate_longint decapsulate_uint32_t 
#define decapsulate_array_int32_t decapsulate_array_uint32_t 

char* decapsulate_uint64_t ( uint64_t* i, char* buf );
char* decapsulate_array_uint64_t ( uint64_t* a, uint32_t l, char* buf );
#define decapsulate_int64_t decapsulate_uint64_t 
#define decapsulate_array_int64_t decapsulate_array_uint64_t 

char *decapsulate_HWADDR( HWADDR* a, char* buf );

char *decapsulate_IPADDR( IPADDR* a, char* buf );

#define decapsulate_time_t decapsulate_uint32_t
