/******************************************************************************
//           INTEL CORPORATION PROPRIETARY INFORMATION
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Intel Corporation and may not be copied
//  or disclosed except in accordance with the terms of that agreement.
//      Copyright (c) 1999-2000 Intel Corporation.  All Rights Reserved.
//
// $Workfile:   pgeneral.h  $
// $Revision: 1.6 $
// $Date: 2003/11/17 16:57:53 $
//
// Description: Header file for general functions and global variables
//
******************************************************************************/

#ifndef _PGENERAL_H
#define _PGENERAL_H

#ifdef __cplusplus
extern "C" {
#endif

#include "csdatatypes.h"
#include "slist.h"

extern BOOL g_portInit;
extern int CSDEBUGLEVEL;

void (*CallbackNetReceive)( ULONG handle, const char *message, int length );
void (*CallbackNetDisconnect)( ULONG handle );
void (*CallbackNetAccept)( ULONG handle, char *addr );

#ifdef __cplusplus
}
#endif

#endif // _PGENERAL_H







