/*****************************************************************************
 *                            Intel Proprietary
 *
 * Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
 * No part of this program or publication may be reproduced, transmitted,
 * transcribed, stored in a retrieval system, or translated into any language
 * or computer language in any form or by any means, electronic, mechanical,
 * magnetic, optical, chemical, manual, or otherwise, without the prior
 * written permission of:
 *                        Intel Corporation
 *                        2200 Mission College Blvd.
 *                        Santa Clara, CA  95052-8119
 *****************************************************************************/

/*
 * generic list code
 */

#ifndef __LIST_H_
#define __LIST_H_

typedef void* list;
typedef void* listitr;

list newlist();
void deletelist(list l);
int listisempty(list l);

void listappend(list l, void *d);
void listprepend(list l, void *d);

void* listremovefront(list l);
void* listremoveback(list l);

listitr newlistitr(list l);
int listitrnext(listitr i);
void* listitrdata(listitr i);
void deletelistitr(listitr i);

#endif /* __LIST_H_ */
