/////////////////////////////////////////////////////////////////////////
//                                                                     //
// Filename: GCCPACK.H                                                 //
// Module:   Platform Isolation Layer Structure Packing Start Header   //
// Author:   JP Sugarbroad                                             //
//                                                                     //
/////////////////////////////////////////////////////////////////////////
//                                                                     //
//      Copyright (C) 1999 Intel Corporation  ALL RIGHTS RESERVED      //
//                                                                     //
//             INTEL CORPORATION PROPRIETARY INFORMATION               //
//                                                                     //
//     This software is supplied under the terms of a license agree-   //
//     ment or non-disclosure agreement with Intel Corporation         //
//     and may not be copied nor disclosed except in accordance        //
//     with the terms of that agreement.                               //
//                                                                     //
/////////////////////////////////////////////////////////////////////////
//                                                                     //
// PURPOSE:                                                            //
//                                                                     //
// Structure packing starting header for gcc.                          //
//                                                                     //
/////////////////////////////////////////////////////////////////////////

#ifndef __GCCPACK_H_INCLUDED__
#define __GCCPACK_H_INCLUDED__

#ifdef PACKED_PREFIX
#undef PACKED_PREFIX
#endif

#define PACKED_PREFIX

#ifdef PACKED_SUFFIX
#undef PACKED_SUFFIX
#endif

#define PACKED_SUFFIX __attribute__((packed))

#endif // __GCCPACK_H_INCLUDED__
