/////////////////////////////////////////////////////////////////////////
//                                                                     //
// Filename: VCPACK.H                                                  //
// Module:   Platform Isolation Layer Structure Packing Start Header   //
// Author:   Daniel Baumberger                                         //
//                                                                     //
/////////////////////////////////////////////////////////////////////////
//                                                                     //
//      Copyright (C) 1999 Intel Corporation  ALL RIGHTS RESERVED      //
//                                                                     //
//             INTEL CORPORATION PROPRIETARY INFORMATION               //
//                                                                     //
//     This software is supplied under the terms of a license agree-   //
//     ment or non-disclosure agreement with Intel Corporation         //
//     and may not be copied nor disclosed except in accordance        //
//     with the terms of that agreement.                               //
//                                                                     //
/////////////////////////////////////////////////////////////////////////
//                                                                     //
// PURPOSE:                                                            //
//                                                                     //
// Structure packing starting header for Microsoft Visual C++.         //
//                                                                     //
/////////////////////////////////////////////////////////////////////////

#ifndef __VCPACK_H_INCLUDED__
#define __VCPACK_H_INCLUDED__

#ifdef PACKED_PREFIX
#undef PACKED_PREFIX
#endif

#define PACKED_PREFIX

#ifdef PACKED_SUFFIX
#undef PACKED_SUFFIX
#endif

#define PACKED_SUFFIX

#pragma pack(push,1)

#endif // __VCPACK_H_INCLUDED__
