/*****************************************************************************
 *                            Intel Proprietary
 *
 * Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
 * No part of this program or publication may be reproduced, transmitted,
 * transcribed, stored in a retrieval system, or translated into any language
 * or computer language in any form or by any means, electronic, mechanical,
 * magnetic, optical, chemical, manual, or otherwise, without the prior
 * written permission of:
 *                        Intel Corporation
 *                        2200 Mission College Blvd.
 *                        Santa Clara, CA  95052-8119
 *****************************************************************************/

        #ifndef __CPPUI_DIFFSERV_H__
        #define __CPPUI_DIFFSERV_H__
         
        #include "cppui.h"
         
         
        
        NPF_callbackHandle_t	DScbh;
        #define DS_COMMON_ARGS DScbh, (NPF_correlator_t)req, NPF_REPORT_ALL
        #define DSCP_CLASSIFIER_SIZE	64
        
        extern NPF_DS_DpeType_t getDpeType(NPF_DS_DpeHandle_t dpeHandle);
        
         
        extern int NPF_DS_DpeCreate_SelfTest(NPF_IfHandle_t *ifHandle, NPF_DS_DpeDirection_t *dir, NPF_uint32_t *no, NPF_DS_Dpe_t* dpe, void *corr);
         
        extern int FormatDpeResponse(int id, NPF_DS_CallbackData_t *data, char *resp);
        extern int AddDscpFilter(NPF_callbackHandle_t cbhandle, NPF_correlator_t req, NPF_errorReporting_t errorReporting);
         
        extern void cppui_diffserv_message(CppuiRequest *req);
        extern void cppui_diffserv_response(CppuiRequest *req, void *data);
         
        #endif
