/*****************************************************************************
 *                            Intel Proprietary
 *
 * Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
 * No part of this program or publication may be reproduced, transmitted,
 * transcribed, stored in a retrieval system, or translated into any language
 * or computer language in any form or by any means, electronic, mechanical,
 * magnetic, optical, chemical, manual, or otherwise, without the prior
 * written permission of:
 *                        Intel Corporation
 *                        2200 Mission College Blvd.
 *                        Santa Clara, CA  95052-8119
 *****************************************************************************/

        #ifndef __CPPUI_INTERFACE_H__
        #define __CPPUI_INTERFACE_H__
         
        #include "cppui.h"
         
         
        
        NPF_callbackHandle_t	IFcbh;
        #define IF_COMMON_ARGS IFcbh, (NPF_correlator_t)req, NPF_REPORT_ALL
        
         
         
        extern int formatIfResponse(int cmd, NPF_IfCallbackData_t *data, char *resp);
        extern int getInterfaceAttributes(char *input, int cmd, NPF_IfGeneric_t *interface);
         
        extern void cppui_interface_message(CppuiRequest *req);
        extern void cppui_interface_response(CppuiRequest *req, void *data);
         
        #endif
        #ifndef __CPPUI_LAN_H__
        #define __CPPUI_LAN_H__
         
        #include "cppui.h"
         
         
        
        NPF_callbackHandle_t	IFcbh;
        #define IF_COMMON_ARGS IFcbh, (NPF_correlator_t)req, NPF_REPORT_ALL
        
         
         
         
        extern void cppui_lan_message(CppuiRequest *req);
        extern void cppui_lan_response(CppuiRequest *req, void *data);
         
        #endif
