/*****************************************************************************
 *                            Intel Proprietary
 *
 * Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
 * No part of this program or publication may be reproduced, transmitted,
 * transcribed, stored in a retrieval system, or translated into any language
 * or computer language in any form or by any means, electronic, mechanical,
 * magnetic, optical, chemical, manual, or otherwise, without the prior
 * written permission of:
 *                        Intel Corporation
 *                        2200 Mission College Blvd.
 *                        Santa Clara, CA  95052-8119
 *****************************************************************************/

         
        #include "cppui_common.h"
         
         
         
        int NPF_IfATM_VccSet_SelfTest(NPF_IfHandle_t * ifHandle, NPF_uint32_t *no, NPF_IfVcc_t *vcc, void *corr)
        {
        
					
					NPF_IfVcc_t	types[3];
					NPF_uint32_t num=3;
					NPF_IfHandle_t ifHndl = getHandle("ATM:0");
					memset(types,0,(sizeof(NPF_IfVcc_t) * 3));

					types[0].vcc.VPI = 1;
					types[0].vcc.VCI = 1;
					types[0].AAL = NPF_IF_VCC_AAL5_LLC;
					types[0].aalProfile.AAL = NPF_IF_VCC_AAL5_LLC;
					types[0].aalProfile.u.aal5Profile.maxCpcsSduSizeForward = 1000;
					types[0].aalProfile.u.aal5Profile.maxCpcsSduSizeBackward = 1000;
					types[0].aalProfile.u.aal5Profile.aalMode = NPF_MESSAGE_ASSURED;
					types[0].aalProfile.u.aal5Profile.sscsType = NPF_SSCS_NULL;
					types[0].QoS.serviceCategory = NPF_CBR;

					types[0].QoS.rxPCR1 = 1000;
					types[0].QoS.rxPCR0 = 1000;
					types[0].QoS.rxSCR1 = 1000;
					types[0].QoS.rxSCR0 = 1000;
					types[0].QoS.rxMBS1 = 1000;
					types[0].QoS.rxMBS0 = 1000;
					types[0].QoS.rxMCR = 1000;
					types[0].QoS.rxMaxFrmSize = 1000;
					types[0].QoS.rxCTD = 1000;
					types[0].QoS.rxCDV = 1000;
					types[0].QoS.rxCLR = 1000;
					types[0].QoS.rxCDVT = 1000;
					types[0].QoS.rxQosClass = 1000;
					types[0].QoS.rxFrameDiscard = 1000;
					types[0].QoS.rxTagging = 1000;

					types[0].QoS.txPCR1 = 1000;
					types[0].QoS.txPCR0 = 1000;
					types[0].QoS.txSCR1 = 1000;
					types[0].QoS.txSCR0 = 1000;
					types[0].QoS.txMBS1 = 1000;
					types[0].QoS.txMBS0 = 1000;
					types[0].QoS.txMCR = 1000;
					types[0].QoS.txMaxFrmSize = 1000;
					types[0].QoS.txCTD = 1000;
					types[0].QoS.txCDV = 1000;
					types[0].QoS.txCLR = 1000;
					types[0].QoS.txCDVT = 1000;
					types[0].QoS.txQosClass = 1000;
					types[0].QoS.txFrameDiscard = 1000;
					types[0].QoS.txTagging = 1000;
					types[0].QoS.bestEffIndicator = 1;

					types[1].vcc.VPI = 2;
					types[1].vcc.VCI = 2;
					types[1].AAL = NPF_IF_VCC_AAL5_LLC;
					types[1].aalProfile.AAL = NPF_IF_VCC_AAL5_LLC;
					types[1].aalProfile.u.aal5Profile.maxCpcsSduSizeForward = 1000;
					types[1].aalProfile.u.aal5Profile.maxCpcsSduSizeBackward = 1000;
					types[1].aalProfile.u.aal5Profile.aalMode = NPF_MESSAGE_ASSURED;
					types[1].aalProfile.u.aal5Profile.sscsType = NPF_SSCS_NULL;
					types[1].QoS.serviceCategory = NPF_CBR;

					types[1].QoS.rxPCR1 = 1000;
					types[1].QoS.rxPCR0 = 1000;
					types[1].QoS.rxSCR1 = 1000;
					types[1].QoS.rxSCR0 = 1000;
					types[1].QoS.rxMBS1 = 1000;
					types[1].QoS.rxMBS0 = 1000;
					types[1].QoS.rxMCR = 1000;
					types[1].QoS.rxMaxFrmSize = 1000;
					types[1].QoS.rxCTD = 1000;
					types[1].QoS.rxCDV = 1000;
					types[1].QoS.rxCLR = 1000;
					types[1].QoS.rxCDVT = 1000;
					types[1].QoS.rxQosClass = 1000;
					types[1].QoS.rxFrameDiscard = 1000;
					types[1].QoS.rxTagging = 1000;

					types[1].QoS.txPCR1 = 1000;
					types[1].QoS.txPCR0 = 1000;
					types[1].QoS.txSCR1 = 1000;
					types[1].QoS.txSCR0 = 1000;
					types[1].QoS.txMBS1 = 1000;
					types[1].QoS.txMBS0 = 1000;
					types[1].QoS.txMCR = 1000;
					types[1].QoS.txMaxFrmSize = 1000;
					types[1].QoS.txCTD = 1000;
					types[1].QoS.txCDV = 1000;
					types[1].QoS.txCLR = 1000;
					types[1].QoS.txCDVT = 1000;
					types[1].QoS.txQosClass = 1000;
					types[1].QoS.txFrameDiscard = 1000;
					types[1].QoS.txTagging = 1000;
					types[1].QoS.bestEffIndicator = 1;

					types[2].vcc.VPI = 3;
					types[2].vcc.VCI = 3;
					types[2].AAL = NPF_IF_VCC_AAL5_LLC;
					types[2].aalProfile.AAL = NPF_IF_VCC_AAL5_LLC;
					types[2].aalProfile.u.aal5Profile.maxCpcsSduSizeForward = 1000;
					types[2].aalProfile.u.aal5Profile.maxCpcsSduSizeBackward = 1000;
					types[2].aalProfile.u.aal5Profile.aalMode = NPF_MESSAGE_ASSURED;
					types[2].aalProfile.u.aal5Profile.sscsType = NPF_SSCS_NULL;
					types[2].QoS.serviceCategory = NPF_CBR;

					types[2].QoS.rxPCR1 = 1000;
					types[2].QoS.rxPCR0 = 1000;
					types[2].QoS.rxSCR1 = 1000;
					types[2].QoS.rxSCR0 = 1000;
					types[2].QoS.rxMBS1 = 1000;
					types[2].QoS.rxMBS0 = 1000;
					types[2].QoS.rxMCR = 1000;
					types[2].QoS.rxMaxFrmSize = 1000;
					types[2].QoS.rxCTD = 1000;
					types[2].QoS.rxCDV = 1000;
					types[2].QoS.rxCLR = 1000;
					types[2].QoS.rxCDVT = 1000;
					types[2].QoS.rxQosClass = 1000;
					types[2].QoS.rxFrameDiscard = 1000;
					types[2].QoS.rxTagging = 1000;

					types[2].QoS.txPCR1 = 1000;
					types[2].QoS.txPCR0 = 1000;
					types[2].QoS.txSCR1 = 1000;
					types[2].QoS.txSCR0 = 1000;
					types[2].QoS.txMBS1 = 1000;
					types[2].QoS.txMBS0 = 1000;
					types[2].QoS.txMCR = 1000;
					types[2].QoS.txMaxFrmSize = 1000;
					types[2].QoS.txCTD = 1000;
					types[2].QoS.txCDV = 1000;
					types[2].QoS.txCLR = 1000;
					types[2].QoS.txCDVT = 1000;
					types[2].QoS.txQosClass = 1000;
					types[2].QoS.txFrameDiscard = 1000;
					types[2].QoS.txTagging = 1000;
					types[2].QoS.bestEffIndicator = 1;

					no = 3;
					vcc = types;
					NPF_IfATM_VccSet(IFcbh,corr,NPF_REPORT_ALL,ifHndl,num,types);
					return 1;
					
        }
         
void cppui_atm_message(CppuiRequest *req)
{
    switch(req->type)
    {
        case 503: /*ATMAAL5_Vcc_Set */
        {
            NPF_IfHandle_t ifHandle;
            NPF_uint32_t no;
            NPF_IfVcc_t vcc;
            
            NPF_error_t ret = 1;
            
            int selftest = 0;
            
            ifHandle = (int )getHandle(req->args[2]); /*InterfaceHandle*/
            no = (int )atol(req->args[3]); /*NumVcc*/
            vcc.vcc.VPI = (int )atol(req->args[4]); /*VPI*/
            vcc.vcc.VCI = (int )atol(req->args[5]); /*VCI*/
            vcc.AAL = (int )atol(req->args[6]); /*aal5Type*/
            vcc.aalProfile.AAL = (int )atol(req->args[7]); /*aalProfile_aal5Type*/
            vcc.aalProfile.u.aal5Profile.maxCpcsSduSizeForward = (int )atol(req->args[8]); /*aal5MaxCpcsSduSizeForward*/
            vcc.aalProfile.u.aal5Profile.maxCpcsSduSizeBackward = (int )atol(req->args[9]); /*aal5MaxCpcsSduSizeBackward*/
            vcc.aalProfile.u.aal5Profile.aalMode = (int )atol(req->args[10]); /*aal5AalMode*/
            vcc.aalProfile.u.aal5Profile.sscsType = (int )atol(req->args[11]); /*aal5SscsType*/
            vcc.parent = (int )atol(req->args[12]); /*parentIfHandle*/
            vcc.QoS.serviceCategory = (int )atol(req->args[13]); /*QosServiceCategory*/
            vcc.QoS.rxPCR1 = (int )atol(req->args[14]); /*QosRxPCR1*/
            vcc.QoS.rxPCR0 = (int )atol(req->args[15]); /*QosRxPCR0*/
            vcc.QoS.rxSCR1 = (int )atol(req->args[16]); /*QosRxSCR1*/
            vcc.QoS.rxSCR0 = (int )atol(req->args[17]); /*QosRxSCR0*/
            vcc.QoS.rxMBS1 = (int )atol(req->args[18]); /*QosRxMBS1*/
            vcc.QoS.rxMBS0 = (int )atol(req->args[19]); /*QosRxMBS0*/
            vcc.QoS.rxMCR = (int )atol(req->args[20]); /*QosRxMCR*/
            vcc.QoS.rxMaxFrmSize = (int )atol(req->args[21]); /*QosRxMaxFrmSize*/
            vcc.QoS.rxCTD = (int )atol(req->args[22]); /*QosRxCTD*/
            vcc.QoS.rxCDV = (int )atol(req->args[23]); /*QosRxCDV*/
            vcc.QoS.rxCLR = (int )atol(req->args[24]); /*QosRxCLR*/
            vcc.QoS.rxCDVT = (int )atol(req->args[25]); /*QosRxCDVT*/
            vcc.QoS.rxQosClass = (int )atol(req->args[26]); /*QosRxQosClass*/
            vcc.QoS.rxFrameDiscard = (int )atol(req->args[27]); /*QosRxFrameDiscard*/
            vcc.QoS.rxTagging = (int )atol(req->args[28]); /*QosRxTagging*/
            vcc.QoS.txPCR1 = (int )atol(req->args[29]); /*QosTxPCR1*/
            vcc.QoS.txPCR0 = (int )atol(req->args[30]); /*QosTxPCR0*/
            vcc.QoS.txSCR1 = (int )atol(req->args[31]); /*QosTxSCR1*/
            vcc.QoS.txSCR0 = (int )atol(req->args[32]); /*QosTxSCR0*/
            vcc.QoS.txMBS1 = (int )atol(req->args[33]); /*QosTxMBS1*/
            vcc.QoS.txMBS0 = (int )atol(req->args[34]); /*QosTxMBS0*/
            vcc.QoS.txMCR = (int )atol(req->args[35]); /*QosTxMCR*/
            vcc.QoS.txMaxFrmSize = (int )atol(req->args[36]); /*QosTxMaxFrmSize*/
            vcc.QoS.txCTD = (int )atol(req->args[37]); /*QosTxCTD*/
            vcc.QoS.txCDV = (int )atol(req->args[38]); /*QosTxCDV*/
            vcc.QoS.txCLR = (int )atol(req->args[39]); /*QosTxCLR*/
            vcc.QoS.txCDVT = (int )atol(req->args[40]); /*QosTxCDVT*/
            vcc.QoS.txQosClass = (int )atol(req->args[41]); /*QosTxQosClass*/
            vcc.QoS.txFrameDiscard = (int )atol(req->args[42]); /*QosTxFrameDiscard*/
            vcc.QoS.txTagging = (int )atol(req->args[43]); /*QosTxTagging*/
            vcc.QoS.bestEffIndicator = (int )atol(req->args[44]); /*QosBestEffIndicator*/
            selftest = (int)atol(req->args[45]);
             
            if(selftest)
                ret = NPF_IfATM_VccSet_SelfTest(&ifHandle, &no, &vcc, req);
            else
                ret = NPF_IfATM_VccSet(IF_COMMON_ARGS, ifHandle, no, &vcc);
            
            if(ret == NPF_NO_ERROR)
            {
                #ifdef CPPUI_WAIT_RESP
                waitAsyncResponse(req);
                #endif
            }
            else
            {
                req->error = ret;
                sprintf(req->resp, "%s", "Command Rejected");
                sendResponse(req);
            }
        }
        break;
        case 510: /*ATMATM_Vcc_Bind */
        {
            NPF_IfHandle_t ifHandle;
            NPF_IfHandle_t parentHandle;
            NPF_uint32_t no;
            NPF_VccAddr_t vccAddr;
            
            NPF_error_t ret = 1;
            
            
            ifHandle = (int )getHandle(req->args[2]); /*InterfaceHandle*/
            parentHandle = (int )getHandle(req->args[3]); /*ParentInterfaceHandle*/
            no = (int )atol(req->args[4]); /*NumVcc*/
            vccAddr.VPI = (int )atol(req->args[5]); /*VPI*/
            vccAddr.VCI = (int )atol(req->args[6]); /*VCI*/
            ret = NPF_IfATM_VccBind(IF_COMMON_ARGS, ifHandle, parentHandle, no, &vccAddr);
            
            if(ret == NPF_NO_ERROR)
            {
                #ifdef CPPUI_WAIT_RESP
                waitAsyncResponse(req);
                #endif
            }
            else
            {
                req->error = ret;
                sprintf(req->resp, "%s", "Command Rejected");
                sendResponse(req);
            }
        }
        break;
        case 511: /*ATMATM_Vcc_Delete */
        {
            NPF_IfHandle_t ifHandle;
            NPF_uint32_t no;
            NPF_VccAddr_t vccAddr;
            
            NPF_error_t ret = 1;
            
            
            ifHandle = (int )getHandle(req->args[2]); /*InterfaceHandle*/
            no = (int )atol(req->args[3]); /*NumVcc*/
            vccAddr.VPI = (int )atol(req->args[4]); /*VPI*/
            vccAddr.VCI = (int )atol(req->args[5]); /*VCI*/
            ret = NPF_IfATM_VccDelete(IF_COMMON_ARGS, ifHandle, no, &vccAddr);
            
            if(ret == NPF_NO_ERROR)
            {
                #ifdef CPPUI_WAIT_RESP
                waitAsyncResponse(req);
                #endif
            }
            else
            {
                req->error = ret;
                sprintf(req->resp, "%s", "Command Rejected");
                sendResponse(req);
            }
        }
        break;
        case 512: /*ATMATM_Vcc_Enable */
        {
            NPF_IfHandle_t ifHandle;
            NPF_uint32_t no;
            NPF_VccAddr_t vccAddr;
            
            NPF_error_t ret = 1;
            
            
            ifHandle = (int )getHandle(req->args[2]); /*InterfaceHandle*/
            no = (int )atol(req->args[3]); /*NumVcc*/
            vccAddr.VPI = (int )atol(req->args[4]); /*VPI*/
            vccAddr.VCI = (int )atol(req->args[5]); /*VCI*/
            ret = NPF_IfATM_VccEnable(IF_COMMON_ARGS, ifHandle, no, &vccAddr);
            
            if(ret == NPF_NO_ERROR)
            {
                #ifdef CPPUI_WAIT_RESP
                waitAsyncResponse(req);
                #endif
            }
            else
            {
                req->error = ret;
                sprintf(req->resp, "%s", "Command Rejected");
                sendResponse(req);
            }
        }
        break;
        case 513: /*ATMATM_Vcc_Disable */
        {
            NPF_IfHandle_t ifHandle;
            NPF_uint32_t no;
            NPF_VccAddr_t vccAddr;
            
            NPF_error_t ret = 1;
            
            
            ifHandle = (int )getHandle(req->args[2]); /*InterfaceHandle*/
            no = (int )atol(req->args[3]); /*NumVcc*/
            vccAddr.VPI = (int )atol(req->args[4]); /*VPI*/
            vccAddr.VCI = (int )atol(req->args[5]); /*VCI*/
            ret = NPF_IfATM_VccDisable(IF_COMMON_ARGS, ifHandle, no, &vccAddr);
            
            if(ret == NPF_NO_ERROR)
            {
                #ifdef CPPUI_WAIT_RESP
                waitAsyncResponse(req);
                #endif
            }
            else
            {
                req->error = ret;
                sprintf(req->resp, "%s", "Command Rejected");
                sendResponse(req);
            }
        }
        break;
        case 514: /*ATMATM_Vcc_Oper_Status_Get */
        {
            NPF_IfHandle_t ifHandle;
            NPF_uint32_t no;
            NPF_VccAddr_t vccAddr;
            
            NPF_error_t ret = 1;
            
            
            ifHandle = (int )getHandle(req->args[2]); /*InterfaceHandle*/
            no = (int )atol(req->args[3]); /*NumVcc*/
            vccAddr.VPI = (int )atol(req->args[4]); /*VPI*/
            vccAddr.VCI = (int )atol(req->args[5]); /*VCI*/
            ret = NPF_IfATM_VccOperStatusGet(IF_COMMON_ARGS, ifHandle, no, &vccAddr);
            
            if(ret == NPF_NO_ERROR)
            {
                #ifdef CPPUI_WAIT_RESP
                waitAsyncResponse(req);
                #endif
            }
            else
            {
                req->error = ret;
                sprintf(req->resp, "%s", "Command Rejected");
                sendResponse(req);
            }
        }
        break;
        case 515: /*ATMATM_Vcc_Stats_Get */
        {
            NPF_IfHandle_t ifHandle;
            NPF_uint32_t no;
            NPF_VccAddr_t vccAddr;
            
            NPF_error_t ret = 1;
            
            
            ifHandle = (int )getHandle(req->args[2]); /*InterfaceHandle*/
            no = (int )atol(req->args[3]); /*NumVcc*/
            vccAddr.VPI = (int )atol(req->args[4]); /*VPI*/
            vccAddr.VCI = (int )atol(req->args[5]); /*VCI*/
            ret = NPF_IfATM_VccStatsGet(IF_COMMON_ARGS, ifHandle, no, &vccAddr);
            
            if(ret == NPF_NO_ERROR)
            {
                #ifdef CPPUI_WAIT_RESP
                waitAsyncResponse(req);
                #endif
            }
            else
            {
                req->error = ret;
                sprintf(req->resp, "%s", "Command Rejected");
                sendResponse(req);
            }
        }
        break;
        case 516: /*ATMATM_AAL2_Chan_Set */
        {
            NPF_IfHandle_t ifHandle;
            NPF_uint32_t no;
            NPF_ATM_AAL2_ChannelInfo_t aal2ChanInf;
            
            NPF_error_t ret = 1;
            
            
            ifHandle = (int )getHandle(req->args[2]); /*InterfaceHandle*/
            no = (int )atol(req->args[3]); /*NumVcc*/
            aal2ChanInf.aal2ConnId.connection.VPI = (int )atol(req->args[4]); /*VPI*/
            aal2ChanInf.aal2ConnId.connection.VCI = (int )atol(req->args[5]); /*VCI*/
            aal2ChanInf.aal2ConnId.aal2Cid = (int )atol(req->args[6]); /*AAL2ChanId*/
            aal2ChanInf.maxCpsSduDeliverLength = (int )atol(req->args[7]); /*maxCpsSduDeliverLength*/
            ret = NPF_IfATM_AAL2_ChannelSet(IF_COMMON_ARGS, ifHandle, no, &aal2ChanInf);
            
            if(ret == NPF_NO_ERROR)
            {
                #ifdef CPPUI_WAIT_RESP
                waitAsyncResponse(req);
                #endif
            }
            else
            {
                req->error = ret;
                sprintf(req->resp, "%s", "Command Rejected");
                sendResponse(req);
            }
        }
        break;
        case 517: /*ATMATM_AAL2_Chan_Del */
        {
            NPF_IfHandle_t ifHandle;
            NPF_uint32_t no;
            NPF_ATM_AAL2_ConnId_t aal2ChanId;
            
            NPF_error_t ret = 1;
            
            
            ifHandle = (int )getHandle(req->args[2]); /*InterfaceHandle*/
            no = (int )atol(req->args[3]); /*NumVcc*/
            aal2ChanId.connection.VPI = (int )atol(req->args[4]); /*VPI*/
            aal2ChanId.connection.VCI = (int )atol(req->args[5]); /*VCI*/
            aal2ChanId.aal2Cid = (int )atol(req->args[6]); /*AAL2ChanId*/
            ret = NPF_IfATM_AAL2_ChannelClear(IF_COMMON_ARGS, ifHandle, no, &aal2ChanId);
            
            if(ret == NPF_NO_ERROR)
            {
                #ifdef CPPUI_WAIT_RESP
                waitAsyncResponse(req);
                #endif
            }
            else
            {
                req->error = ret;
                sprintf(req->resp, "%s", "Command Rejected");
                sendResponse(req);
            }
        }
        break;
    }
}
void cppui_atm_response(CppuiRequest *req, void *data)
{
    switch(req->type)
    {
        case 503: /*ATMAAL5_Vcc_Set */
        {
            NPF_IfCallbackData_t *cbdata = (NPF_IfCallbackData_t*)data;
            req->error = formatIfResponse(503, cbdata, req->resp);
            sendResponse(req);
        }
        break;
        case 510: /*ATMATM_Vcc_Bind */
        {
            NPF_IfCallbackData_t *cbdata = (NPF_IfCallbackData_t*)data;
            req->error = formatIfResponse(510, cbdata, req->resp);
            sendResponse(req);
        }
        break;
        case 511: /*ATMATM_Vcc_Delete */
        {
            NPF_IfCallbackData_t *cbdata = (NPF_IfCallbackData_t*)data;
            req->error = formatIfResponse(511, cbdata, req->resp);
            sendResponse(req);
        }
        break;
        case 512: /*ATMATM_Vcc_Enable */
        {
            NPF_IfCallbackData_t *cbdata = (NPF_IfCallbackData_t*)data;
            req->error = formatIfResponse(512, cbdata, req->resp);
            sendResponse(req);
        }
        break;
        case 513: /*ATMATM_Vcc_Disable */
        {
            NPF_IfCallbackData_t *cbdata = (NPF_IfCallbackData_t*)data;
            req->error = formatIfResponse(513, cbdata, req->resp);
            sendResponse(req);
        }
        break;
        case 514: /*ATMATM_Vcc_Oper_Status_Get */
        {
            NPF_IfCallbackData_t *cbdata = (NPF_IfCallbackData_t*)data;
            req->error = formatIfResponse(514, cbdata, req->resp);
            sendResponse(req);
        }
        break;
        case 515: /*ATMATM_Vcc_Stats_Get */
        {
            NPF_IfCallbackData_t *cbdata = (NPF_IfCallbackData_t*)data;
            req->error = formatIfResponse(515, cbdata, req->resp);
            sendResponse(req);
        }
        break;
        case 516: /*ATMATM_AAL2_Chan_Set */
        {
            NPF_IfCallbackData_t *cbdata = (NPF_IfCallbackData_t*)data;
            req->error = formatIfResponse(516, cbdata, req->resp);
            sendResponse(req);
        }
        break;
        case 517: /*ATMATM_AAL2_Chan_Del */
        {
            NPF_IfCallbackData_t *cbdata = (NPF_IfCallbackData_t*)data;
            req->error = formatIfResponse(517, cbdata, req->resp);
            sendResponse(req);
        }
        break;
    } /*switch(req->type) */
}
