/*****************************************************************************
 *                            Intel Proprietary
 *
 * Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
 * No part of this program or publication may be reproduced, transmitted,
 * transcribed, stored in a retrieval system, or translated into any language
 * or computer language in any form or by any means, electronic, mechanical,
 * magnetic, optical, chemical, manual, or otherwise, without the prior
 * written permission of:
 *                        Intel Corporation
 *                        2200 Mission College Blvd.
 *                        Santa Clara, CA  95052-8119
 *****************************************************************************/

 
#include "cppui_common.h"
 
void cppui_rcm_message(CppuiRequest *req)
{
    switch(req->type)
    {
        case 199: /*RCMStart_RCM */
        {
            char* routerName;
            
            NPF_error_t ret = 1;
            
            
            routerName = (char* )(req->args[2]); /*RouterName*/
            ret = rcm_init(routerName);
            
            
            req->error = 0;
            sprintf(req->resp, "RCMStart_RCM");
            getTime(&req->respts);
            sendResponse(req);
            
        }
        break;
    }
}
void cppui_rcm_response(CppuiRequest *req, void *data)
{
    switch(req->type)
    {
    } /*switch(req->type) */
}
