/*****************************************************************************
*                  INTEL CORPORATION PROPRIETARY INFORMATION
*  This software is supplied under the terms of a license agreement or
*  nondisclosure agreement with Intel Corporation and may not be copied
*  or disclosed except in accordance with the terms of that agreement.
*      Copyright (c) 2001 Intel Corporation. All Rights Reserved.
*****************************************************************************/
 
 
/*****************************************************************************
* $Source: /CODEBASE/npf_api/npf_ns_types.h
* $Revision: 1.6 $
* $Date: 2003/11/17 16:58:01 $
*
* Description:
*     Basic contants and data types used by namespace 
*
*****************************************************************************/
#ifndef _NPF_NS_TYPES_H_
#define _NPF_NS_TYPES_H_

#ifdef __cplusplus
extern "C" {
#endif  

#define NPF_NS_MAXPATH	     1024
#define NPF_NS_MAXNAME	     32
#define NPF_NS_MAXCHILD      128 
#define NPF_NS_NAMEDELIM     '/'

typedef enum{
        NPF_NS_TYPENODE,
        NPF_NS_INSTNODE,
        NPF_NS_ALIASNODE, 
		NPF_NS_MAX_NODETYPE
} NPF_NSNODETYPE;
 
typedef int NPF_NSHDL;      /* handle to namespace node */ 
typedef int NODE_ITERATOR;  /* node iterator */
 
#ifdef __cplusplus
}
#endif   

#endif /* _NPF_NS_TYPES_H_ */   
