/**
 * ============================================================================
 * = COPYRIGHT
 *              INTEL CORPORATION PROPRIETARY INFORMATION
 *   This software is supplied under the terms of a licence agreement or
 *   nondisclosure agreement with Intel Corporation and may not be copied 
 *   or disclosed except in accordance with the terms in that agreement.
 *      Copyright (C) 2000-2002 Intel Corporation. All rights reserved.
 *
 * = PRODUCT
 *      Intel(r) IXA SDK for the IXP2X00 Network Processor
 *
 * = FILENAME
 *      linux_kernel_module.c
 *
 * = DESCRIPTION
 *      Thsi file is used to build the CCI library as a Linux Kernel Loadable Module
 *
 * = AUTHOR
 *      Adrian Georgescu
 *      adrian.georgescu@intel.com
 *
 * = CHANGE HISTORY
 *      8/18/2003 1:49:26 PM - creation time 
 * ============================================================================
 */

static const char s_FileIdentifier[] = "$Id: linux_kernel_module.c,v 1.2 2003/10/28 21:36:48 ttschlue Exp $";

#include "ix_ossl.h"

#if (_IX_OS_TYPE_ == _IX_OS_LINUX_KERNEL_)

#if defined(MODULE_LICENSE)

MODULE_LICENSE("Proprietary");

#endif /* defined(MODULE_LICENSE) */

int init_module(void)
{
    return 0;
}

void cleanup_module(void)
{
    return;
}

#endif /* (_IX_OS_TYPE_ == _IX_OS_LINUX_KERNEL_)*/


