/**
 * ============================================================================
 * = COPYRIGHT
 *              INTEL CORPORATION PROPRIETARY INFORMATION
 *   This software is supplied under the terms of a license agreement or
 *   nondisclosure agreement with Intel Corporation and may not be copied 
 *   or disclosed except in accordance with the terms in that agreement.
 *      Copyright (C) 2000-2001 Intel Corporation. All rights reserved.
 *
 * = PRODUCT
 *      Intel(r) IXA SDK 3.0 for the IXP2000 Network Processor, Release 4
 *
 * = LIBRARY
 *      Fragmentation Library
 *
 * = MODULE
 *      Library Interface
 *
 * = FILENAME
 *      internal-netrw.h
 *
 * = DESCRIPTION
 *      
 *
 * = AUTHOR
 *      Ranjeeta Singh
 *      ranjeeta@intel.com
 *
 * = AKNOWLEDGEMENTS
 *      
 *
 * = CREATION TIME
 *      07/12/2002 5:53:42 PM
 *
 * = CHANGE HISTORY
 *
 * ============================================================================
 * $Id: internal-netrw.h,v 1.7 2003/11/04 21:52:13 rranjeet Exp $
 */

#if !defined(__INTERNAL_NETRW_H__)
#define __INTERNAL_NETRW_H__

#include <stdio.h>
#include <ix_ossl.h>
#include <ix_rm.h>
#include "ix_cc_error.h"
#include "ix_netmacros.h"

#ifdef	__cplusplus
extern "C" {
#endif

/**
 * Prototypes for interface functions.
 */

ix_error _ix_cc_fragv4_netrw_read_int16( ix_uint8 *arg_pPtr, ix_uint16 *arg_pVal);
ix_error _ix_cc_fragv4_netrw_read_int32( ix_uint8 *arg_pPtr, ix_uint32 *arg_pVal);
ix_error _ix_cc_fragv4_netrw_write_int16( ix_uint8 *arg_pPtr, ix_uint16 arg_Val);


#if defined(__cplusplus)
}
#endif /* end defined(__cplusplus) */


#endif/*__INTERNAL_NETRW_H__*/
