#! /bin/bash
#
# ============================================================================
# = COPYRIGHT
#           INTEL CORPORATION PROPRIETARY INFORMATION
#   This software is supplied under the terms of a license agreement or
#   nondisclosure agreement with Intel Corporation and may not be copied 
#   or disclosed except in accordance with the terms in that agreement.
#   Copyright (C) 2004 Intel Corporation. All rights reserved.
#
# = PRODUCT
#      Intel(r) IXA SDK for the IXP2000 Network Processor
#
#      
#============================================================================
#
insmod -f libossl.o
insmod -f halMeDrv.o
insmod -f halMev2_lib.o

insmod rm_lib.o
insmod cci_lib.o

insmod utilities_lib.o
insmod msg_support_lib.o
insmod properties_lib.o
insmod l2tm_lib.o
insmod ether_arp_lib.o

insmod sched_cc.o
insmod csix_rx_cc.o
insmod qm_cc.o

insmod ixd2810ixf.o
insmod ixd2810IntMod.o
insmod ethernet_tx_cc.o

insmod oc192_ethernet_egress_config.o
insmod sysapp_common_egress.o
insmod l2_config_util.o

rm -f /dev/SaUtil
rm -f /dev/L2Config
mknod /dev/SaUtil c 254 0
mknod /dev/L2Config c 252 0

